heatmapModels.BigBang {galgo} | R Documentation

## Plots models using heatmap plot

### Description

Plots models using heatmap plot.

### Usage

    ## S3 method for class 'BigBang'
    heatmapModels(	O,
    	models,
    	data=O$data$data,
    	geneNames=paste(pad(1:length(O$geneNames), char="  ")," : ",O$geneNames,sep=""),
    	traspose=TRUE,
    	subset=NULL,
    	main=O$main,
    	scale=if (traspose) "column" else "row",
    	col=c(rgb(0,8:0/8,0),rgb(1:8/8,0,0)),
    	RowSideColors=NULL,
    	ColSideColors=NULL,
    	hclustfun=function(x) hclust(x, method="ward"),
        distfun = dist,
    	histscale=1,
    	nc=NULL,
        byclasscolor=FALSE,
        Colv=NULL,
        Rowv=NULL,
        heatmapfunc=heatmap,
        use.ranks=FALSE,
        columns=NULL,
    	...)

### Arguments

`models` | The models(chromosomes) to plot. It can be a chromosome list or models resulted from `forwardSelectionModel`.
`data` | Data if this is not provided in `$data$data` from the `BigBang` object.
`geneNames` | Names for the genes. The default uses the `$geneNames` from `BigBang` object.
`traspose` | Traspose the data (for display and data restrictions).
`subset` | To limit the usage of `models`.
`scale,col,RowSideColors,ColSideColors` | Heatmap parameters. Provided for compatibility. If col is -1,-2,-3, or -4, standard microarray colors are used. If length(col)==3, these three colours are used to build a gradient.
`geneColors` | A list of specific RowSideColors parameter for every model.
`sampleColors` | Colors for samples.
`hclustfun` | Function to heatmap. The default use “ward” method. Use `hclustfun=hclust` to restore the original heatmap behaviour.
`...` | Other parameters for `heatmap` function.

### Value

Returns nothing.

### Author(s)

Victor Trevino. Francesco Falciani Group. University of Birmingham, U.K. http://www.bip.bham.ac.uk/bioinf

### References

Goldberg, David E. 1989 Genetic Algorithms in Search, Optimization and Machine Learning. Addison-Wesley Pub. Co. ISBN: 0201157675

### See Also

For more information see `BigBang`. `*plot()`, `*forwardSelectionModels()`, `heatmap`().

### Examples

    ## Not run:
       #bb is a BigBang object
       heatmapModels(bb, bb$bestChromosomes[1])

       fsm <- forwardSelectionModels(bb)
       fsm
       names(fsm)
       heatmapModels(fsm, subset=1)
       fsm <- forwardSelectionModels(bb, minFitness=0.9,
       fitnessFunc=bb$galgo$fitnessFunc)
       heatmapModels(fsm, subset=1)
       pcaModels(fsm, subset=1)
       fitnessSplits(bb, chromosomes=list(fsm$models[[1]]))

    ## End(Not run)

[Package galgo version 1.4 Index]